<?php
/*
 * UPDATE SCRIPT FOR kOOL RELEASE R41
 *
 * Description:
 * SenderIDs for sms messages sent from kOOL are not stored in ko-config.php anymore
 * This script takes the senderIDs from ko-config.php and stores them as DB entry in ko_settings
 *
 * Important: Apply changes_R41.sql before calling this script
 *
 */


/* Settings */

// Set path to your kOOL installation (absolute or relative)
$kOOL_path = '/var/www/kOOL_demo/';

/* End of settings */



// Include ko.inc (and with it database settings from ko-config.php)
$ko_path = $kOOL_path;
require_once($kOOL_path.'inc/ko.inc');

// Check for senderIDs stored in ko-config.php
if(is_array($SMS_PARAMETER['sender_id'])) {
	$new = array();
	foreach($SMS_PARAMETER['sender_id'] as $id) {
		if(!$id) continue;
		$new[] = $id;
	}
	ko_set_setting('sms_sender_ids', implode(',', $new));
}
else if(isset($SMS_PARAMETER['sender_id']) && $SMS_PARAMETER['sender_id'] != '') {
	ko_set_setting('sms_sender_ids', $SMS_PARAMETER['sender_id']);
}


?>
